> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/chatbot/sequence-bot/branch/add.md).

# Add

## Add

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/bot/seq/branch`

Add a new Sequence branch. The Sequence ID must be passed into the body.&#x20;

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{api\_key}} |

#### Request Body

| Name                                       | Type    | Description                                               |
| ------------------------------------------ | ------- | --------------------------------------------------------- |
| y<mark style="color:red;">\*</mark>        | string  | The location that the branch will be placed on the y-axis |
| x<mark style="color:red;">\*</mark>        | string  | The location that the branch will be placed on the x-axis |
| position<mark style="color:red;">\*</mark> | object  | position object                                           |
| title<mark style="color:red;">\*</mark>    | string  | The title of the branch                                   |
| id<mark style="color:red;">\*</mark>       | integer | The Sequence ID that the branch will be part of           |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "message": {
      "lead": {
        "id": 138,
        "title": "Sales Sequence 06",
        "description": "A sequence designed to generate leads.",
        "status": "publish",
        "greeting": "active",
        "askFeedback": "disabled",
        "identifier": "salesSequence",
        "identifierCount": 7,
        "isImported": "no",
        "isCloned": "no",
        "clonedCount": 0,
        "createdBy": 1,
        "updatedBy": 1,
        "dateCreated": "2021-02-24T12:10:32.000Z",
        "dateUpdated": "2021-03-01T08:55:10.000Z"
      },
      "title": "New Branch",
      "visibleOrder": 8,
      "position": {
        "x": "22",
        "y": "30"
      },
      "id": 928,
      "isParent": "no"
    }
  }
}

```

{% endtab %}
{% endtabs %}

## Body(raw)

```
{
  "id": 138,
  "title": "New Branch",
  "position": {
    "x": "22",
    "y": "30"
  }
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/chatbot/sequence-bot/branch/add.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
